=== debian/control ===
Source: wsl-pro-service
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Rules-Requires-Root: binary-targets
Build-Depends: debhelper-compat (= 13),
               dh-apport,
               dh-golang,
               golang-go (>= 2:1.21~),
Standards-Version: 4.6.2
XS-Go-Import-Path: github.com/canonical/ubuntu-pro-for-wsl/wsl-pro-service
Homepage: https://github.com/canonical/ubuntu-pro-for-wsl
Description: Ubuntu Pro for WSL
 Ubuntu Pro for WSL is a set of applications to manage Ubuntu WSL instances
 to allow to:
 .
  * grants pro-attached status to any Ubuntu instance on the device,
  * orchestrates instances for Landscape,
  * manages instance states (spin up/down to apply policies/patches).
 .
 It bridges Ubuntu WSL instances to Ubuntu Pro.

Package: wsl-pro-service
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ubuntu-advantage-tools,
Recommends: landscape-client,
Description: ${source:Synopsis} - WSL service
 ${source:Extended-Description}
