## wsl-pro-service 0.1.4

=== debian/changelog ===
wsl-pro-service (0.1.4) noble; urgency=medium

  * Vendor manually on the host as the go mod vendoring when using
    dpkg-buildpackage works in a different environment.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Fri, 19 Apr 2024 07:56:41 +0200

wsl-pro-service (0.1.3) noble; urgency=medium

  * Pin Go toolchain to 1.22.2 to fix the following security vulnerabilities:
    - GO-2024-2687
  * Use self-signed certificate chain to communicate with the Windows Agent over mTLS. (LP: #2060548)
  * Simplify the communication with the agent removing the double server.
  * Send the READY signal to systemd earlier.
  * Renamed ubuntu-advantage-tools to ubuntu-pro-client (LP: #2057651)
  * Restrict landscape.conf file permissions. (thanks iosifache)
  * Adds a default 'wsl' tag to Landscape configs.
  * Removed and obfuscated log messages that could leak sensitive information.
  * More robust handling output of cmd.exe commands.
  * More careful validation of the .address file contents.
  * Updated dependencies.

 -- Carlos Nihelton <carlos.nihelton@canonical.com>  Thu, 18 Apr 2024 12:43:23 -0300

wsl-pro-service (0.1.2) noble; urgency=medium

  * Improved log and error messages
  * Added usage of gRPC logstreamer in connection with Windows-Agent
  * Updated dependencies
  * Fix issue where IPv6 addresses would be badly joined with the port (thanks iosifache)

 -- Edu Gómez Escandell <edu.gomez.escandell@canonical.com>  Thu, 29 Feb 2024 15:21:20 +0100
