=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.21~),
+               golang-go (>= 2:1.22~),
 Standards-Version: 4.6.2
 XS-Go-Import-Path: github.com/canonical/ubuntu-pro-for-wsl/wsl-pro-service
 Homepage: https://github.com/canonical/ubuntu-pro-for-wsl
@@ -25,7 +25,7 @@
 Built-Using: ${misc:Built-Using},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ubuntu-advantage-tools,
+         ubuntu-pro-client,
 Recommends: landscape-client,
 Description: ${source:Synopsis} - WSL service
  ${source:Extended-Description}
