=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,12 @@
 # as long as it matches the go.mod go stenza which is the language requirement.
 export GOTOOLCHAIN := local
 
+# Computes the version ID and updates vendoring
+export GOFLAGS := $(shell ./debian/prepare-source.sh)
+
 %:
+	@echo "Building with flags $(GOFLAGS)"
 	dh $@ --builddirectory=_build --with=apport
-
-execute_after_dh_auto_clean:
-	[ -d vendor/ ] || ( ./debian/update-internal-dependencies && go mod vendor )
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
