## wsl-pro-service 0.1.18~20.04.1

=== debian/changelog ===
wsl-pro-service (0.1.18~20.04.1) focal; urgency=medium

  * Backport version 0.1.18 to focal  (LP: #2107145):
    - with debhelper-compat=12 and Go 1.22, as required by focal
    - explicitly passing --buildsystem=golang otherwise the build target
      doesn't run properly.
    - downgrading dependencies to be able to compile with Go 1.22, which
      causes substantial difference in the vendor tree
    - debian/tests/test changed to adjust the PATH env var according to the
      version of Go listed in debian/control Build-Depends.
    - that requires the addition of dctrl-tools to Build-Depends.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Mon, 17 Nov 2025 16:10:47 -0300

wsl-pro-service (0.1.18~24.04.3) noble; urgency=medium

  * Make debian/get-depends-go-bin-path.sh executable which is executed during
    autopkgtests.

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Mon, 13 Oct 2025 15:02:14 +0200

wsl-pro-service (0.1.18~24.04.2) noble; urgency=medium

  * Upgrade to upstream version 0.1.18  (LP: #2106757):
    - Allows the service to quit for longer period of time if the Windows agent
      is not reachable, resulting in less logging to system journal.
    - Removes workaround for livepatch no longer needed since pro-client v35
    - systemd service is more confined again.
    - Prevents unnecessary re-registration with Landscape, by passing the
      CLI flag --register-if-needed to landscape-config.
    - Upgrades various Golang dependencies.
    - Changes debian/rules and debian/control to build with Go 1.23.
    - debian/prepare-source.sh also changed to:
      + build with Go 1.23, explicitly passing --mod=vendor
      + build successfully when the git tree only contains this source
        package (but not the monorepo helpers such as compute_version.go).
    - debian/tests/test changed to adjust the PATH env var according to the
      version of Go listed in debian/control Build-Depends.
    - that requires the addition of dctrl-tools to Build-Depends.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Wed, 02 Jul 2025 17:26:32 -0300
