=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
+Rules-Requires-Root: binary-targets
+Build-Depends: debhelper-compat (= 12),
                dh-apport,
+               dctrl-tools,
                dh-golang,
-               golang-go (>= 2:1.23~),
-Standards-Version: 4.6.2
+               golang-1.22-go,
+Standards-Version: 4.5.0
 XS-Go-Import-Path: github.com/canonical/ubuntu-pro-for-wsl/wsl-pro-service
 Homepage: https://github.com/canonical/ubuntu-pro-for-wsl
 Description: Ubuntu Pro for WSL
