## wsl-pro-service 0.1.18~20.04.2

=== debian/changelog ===
wsl-pro-service (0.1.18~20.04.2) focal; urgency=medium

  * Restricts supported architecture set (LP: #2132357)
    - matching what WSL supports (just AMD64 and ARM64)
    - preventing FTBFS on riscv64.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Mon, 24 Nov 2025 17:20:06 -0300
