=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  It bridges Ubuntu WSL instances to Ubuntu Pro.
 
 Package: wsl-pro-service
-Architecture: any
+Architecture: amd64 arm64
 Built-Using: ${misc:Built-Using},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
