=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,11 @@
 # as long as it matches the go.mod go stenza which is the language requirement.
 export GOTOOLCHAIN := local
 
+# Run with Go 1.23
+export PATH := /usr/lib/go-1.22/bin/:$(PATH)
+
 # Computes the version ID and updates vendoring
-export GOFLAGS := $(shell ./debian/prepare-source.sh)
+export GOFLAGS := $(shell PATH='$(PATH)' ./debian/prepare-source.sh)
 
 %:
 ifeq ($(strip $(GOFLAGS)),)
@@ -19,7 +22,7 @@
 	exit 1
 endif
 	@echo "Building with flags $(GOFLAGS)"
-	dh $@ --builddirectory=_build --with=apport
+	dh $@ --buildsystem=golang --builddirectory=_build --with=apport
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
@@ -32,7 +35,7 @@
 	mv debian/wsl-pro-service/usr/bin/ debian/wsl-pro-service/usr/libexec/
 
 override_dh_auto_test:
-	cd _build && GOWORK=off go test -mod=vendor github.com/canonical/ubuntu-pro-for-wsl/wsl-pro-service/...
+	GOWORK=off go test -mod=vendor github.com/canonical/ubuntu-pro-for-wsl/wsl-pro-service/...
 
 # dwz does not support golang binaries yet
 override_dh_dwz:
