## wsl-pro-service 0.1.18~22.04.1

=== debian/changelog ===
wsl-pro-service (0.1.18~22.04.1) jammy; urgency=medium

  * Release wsl-pro-service 0.1.18 to jammy (LP: #2107145).

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Fri, 07 Nov 2025 10:16:58 +0100
