## wsl-pro-service 0.1.18~22.04.2

=== debian/changelog ===
wsl-pro-service (0.1.18~22.04.2) jammy; urgency=medium

  * Restricts supported architecture set (LP: #2132357)
    - matching what WSL supports (just AMD64 and ARM64)
    - preventing FTBFS on armhf.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Tue, 25 Nov 2025 11:23:30 -0300
