## wsl-pro-service 0.1.18~24.04.1

=== debian/changelog ===
wsl-pro-service (0.1.18~24.04.1) noble; urgency=medium

  * Upgrade to upstream version 0.1.18  (LP: #2106757):
    - Allows the service to quit for longer period of time if the Windows agent
      is not reachable, resulting in less logging to system journal.
    - Removes workaround for livepatch no longer needed since pro-client v35
    - systemd service is more confined again.
    - Prevents unnecessary re-registration with Landscape, by passing the
      CLI flag --register-if-needed to landscape-config.
    - Upgrades various golang dependencies.
    - Changes debian/rules and debian/control to build with Golang1.23.
    - debian/prepare-source.sh also changed to:
      + build with Go 1.23, explicitly passing --mod=vendor
      + build successfully when the git tree only contains this source
        package (but not the monorepo helpers such as compute_version.go).

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Wed, 02 Jul 2025 17:26:32 -0300
