=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Rules-Requires-Root: binary-targets
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
-               dctrl-tools,
                dh-golang,
                golang-1.23-go,
 Standards-Version: 4.6.2
@@ -22,7 +21,7 @@
  It bridges Ubuntu WSL instances to Ubuntu Pro.
 
 Package: wsl-pro-service
-Architecture: amd64 arm64
+Architecture: any
 Built-Using: ${misc:Built-Using},
 Depends: ${shlibs:Depends},
          ${misc:Depends},
