## wsl-pro-service 0.1.18~24.04.3

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Rules-Requires-Root: binary-targets
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
+               dctrl-tools,
                dh-golang,
                golang-1.23-go,
 Standards-Version: 4.6.2
