## wsl-pro-service 0.1.18~25.04

=== debian/changelog ===
wsl-pro-service (0.1.18~25.04) plucky; urgency=medium

  * Upgrade to upstream version 0.1.18  (LP: #2106757):
      - Allows the service to quit for longer period of time if the Windows agent
        is not reachable, resulting in less logging to system journal.
      - Removes workaround for livepatch no longer needed since pro-client v35
      - systemd service is more confined again.
      - Prevents unnecessary re-registration with Landscape, by passing the 
        CLI flag --register-if-needed to landscape-config.
      - Upgrades various golang dependencies.

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Wed, 02 Jul 2025 21:01:24 +0000
