=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Rules-Requires-Root: binary-targets
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
-               dctrl-tools,
                dh-golang,
-               golang-1.23-go,
+               golang-go (>= 2:1.23~),
 Standards-Version: 4.6.2
 XS-Go-Import-Path: github.com/canonical/ubuntu-pro-for-wsl/wsl-pro-service
 Homepage: https://github.com/canonical/ubuntu-pro-for-wsl
