=== debian/tests/control ===
# Run regular tests without root
Test-Command: ./debian/tests/test
Restrictions: allow-stderr
Depends: @builddeps@
