## wsl-pro-service 0.1.18build1

=== debian/changelog ===
wsl-pro-service (0.1.18build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:52:55 +0100
