## wsl-pro-service 0.1.19ubuntu

=== debian/changelog ===
wsl-pro-service (0.1.19ubuntu) resolute; urgency=medium

  * Packaging fixes to prevent lintian errors, including compliance with DEP17
    (LP: #2139225)
  * Better sync with cloud-init.
  * Improved Go version detection for packaging.
  * Upgrade Go to 1.24 and multiple dependencies.
  * Subprocess cmd.exe in unicode mode to prevent problems with non-ASCII
    chars in paths (LP: #2142666).

 -- Carlos Nihelton <cnihelton@ubuntu.com>  Tue, 10 Feb 2026 11:45:30 -0300
