=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,13 @@
 # as long as it matches the go.mod go stenza which is the language requirement.
 export GOTOOLCHAIN := local
 
-# Run with Go 1.23
-export PATH := /usr/lib/go-1.23/bin/:$(PATH)
+# We add the required backported version to the $PATH so that if it exists, then
+# we can use it. Otherwise we default to the go installed in original $PATH that
+# always matches with the latest available go version in the archive.
+export PATH := $(shell printenv PATH):$(shell ./debian/get-depends-go-bin-path.sh)
 
 # Computes the version ID and updates vendoring
-export GOFLAGS := $(shell PATH='$(PATH)' ./debian/prepare-source.sh)
+export GOFLAGS := $(shell ./debian/prepare-source.sh)
 
 %:
 ifeq ($(strip $(GOFLAGS)),)
@@ -22,14 +24,14 @@
 	exit 1
 endif
 	@echo "Building with flags $(GOFLAGS)"
-	dh $@ --builddirectory=_build --with=apport
+	dh $@ --builddirectory=_build --with=apport,golang
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 
 	# systemd services
-	mkdir -p debian/wsl-pro-service/lib/systemd/system
-	cp -a services/* debian/wsl-pro-service/lib/systemd/system/
+	mkdir -p debian/wsl-pro-service/usr/lib/systemd/system
+	cp -a services/* debian/wsl-pro-service/usr/lib/systemd/system/
 
 	# Install our service in libexec as it's not intended for end user
 	mv debian/wsl-pro-service/usr/bin/ debian/wsl-pro-service/usr/libexec/
